View Issue Details

IDProjectCategoryView StatusLast Update
0012220LazarusIDEpublic2013-09-03 12:07
ReporterBenito van der ZanderAssigned ToMartin Friebe 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0012220: debug mode with pas/lfm name in IDE dialogs
DescriptionIf you want to modify a IDE dialog and doesn't know the Lazarus structure well, it always take some time to find the correct unit/form-file for this one dialog. So it would be useful, if you couldn't enable a debug mode where every dialog shows the corresponding source file in its caption bar.
TagsNo tags attached.
Fixed in Revision
LazTarget1.4
Widgetset
Attached Files

Activities

Vincent Snijders

2008-09-24 08:46

manager   ~0022408

For now, I use Find in files: search (part of) the caption and I get a hit on the resource file, then I search for uses of the resource string.

Martin Friebe

2010-11-03 03:35

manager   ~0042685

giving the actual location of the file would mean to hardcode that info somewhere. It could become out of date, if the file was moved, but the hardcoded location was not.

You can enable the package "IdeInspector" (0.9.29) it allows you to inspect all published properties of all Forms (and the components on the forms)

That gives you the name of the form.
Once you have the name, you can use "find in files" and set the filemask to *.lfm

This is a pretty fast and reliable process to locate a unit.

Do you consider this as sufficient?

Vincent Snijders

2010-12-03 13:58

manager   ~0043937

{$I %FILE%} could be used, so hardcoded file name has to be used. See http://www.freepascal.org/docs-html/prog/progsu38.html#x44-430001.1.38

Mattias Gaertner

2010-12-03 16:41

manager   ~0043948

The %FILE% must be added to all forms. And third party forms are missing too.
Every class knows its unit name and the IDE knows where every unit is, so a function to show the file name of the current form can be implemented. Same for frames. Maybe the Shift+Ctrl+F1 dialog can be extended to show the file name and allow to copy it to clipboard.

Martin Friebe

2010-12-10 01:13

manager   ~0044137

Actually the unit name is in RTTI

IDE Inspector does now display this information.
It's only the Unit name, no path information for the file.

It can also automatically follow the active Form or Frame.

So if you look at a dialog like Environment Options (which is Modal) and consists of many frames, then:
- open the IdeInspetor before, make sure it is width enough to display the info
- switch on "follow Active win or frame" and set the mode to "Frame"
- open the Environment Options
If you activate a control in a Frame, the Frame's unit will be shown

Martin Friebe

2010-12-11 14:50

manager   ~0044175

Now there are 2 ways:

ctrl-shift-F1 has a button to open the unit

IdeInspector displays and/or opens the unit

Issue History

Date Modified Username Field Change
2008-09-24 00:05 Benito van der Zander New Issue
2008-09-24 08:46 Vincent Snijders LazTarget => post 1.2
2008-09-24 08:46 Vincent Snijders Note Added: 0022408
2008-09-24 08:46 Vincent Snijders Status new => acknowledged
2010-11-03 03:35 Martin Friebe Note Added: 0042685
2010-11-03 03:35 Martin Friebe Status acknowledged => feedback
2010-12-03 13:58 Vincent Snijders Note Added: 0043937
2010-12-03 16:41 Mattias Gaertner Note Added: 0043948
2010-12-10 01:13 Martin Friebe Note Added: 0044137
2010-12-11 14:50 Martin Friebe Status feedback => resolved
2010-12-11 14:50 Martin Friebe Fixed in Version => 0.9.29 (SVN)
2010-12-11 14:50 Martin Friebe Resolution open => fixed
2010-12-11 14:50 Martin Friebe Assigned To => Martin Friebe
2010-12-11 14:50 Martin Friebe Note Added: 0044175
2011-12-01 11:25 Marc Weustink Status resolved => closed
2013-09-03 12:07 Martin Friebe LazTarget post 1.2 => 1.4